# 注意事项
- go.mod不要动
- msgs目录内容非必要不修改
- 共享变量方式
  - （新方案）采用 sync.Map，将触发器与 param 包解耦 
  - pjisuvParam 结构体不要再修改，已废弃方案
- 添加共享变量时
  - 如果有新的topic需要被订阅，需要在 trigger_var.go 文件中添加
  - 需要修改produce_window.go文件中的订阅者，将触发器>0条件去掉

# 一、代码目录结构

## 1-1 trigger目录
- 触发器


## 1-2 xxx_msgs目录
- ros消息定义

## aarch64/pjisuv
## 目录结构
### common
- c_cloud.go：阿里云oss配置文件下载解析
### control 调度程序
### master 102 程序
- trigger_init.go：102 初始化加载触发器插件
### slave 103 程序

# 二、oss 配置

```
cname：http://open-bucket.oss.icvdc.com
内网endpoint: oss-cn-beijing-gqzl-d01-a.ops.gqzl-cloud.com
oss桶名： open-bucket
oss-browser预设oss路径：oss://open-bucket
oss-browser区域：华北2（北京）
keyid：n8glvFGS25MrLY7j
secret：xZ2Fozoarpfw0z28FUhtg8cu0yDc5d
```


# 室外机器人